Home

# Class goog.ui.CanvasRoundedCorner

Class for rendering a Canvas-based rounded corner (Gecko and Safari3+). Horizontal and/or vertical fillers are added if the radius of the rounded corner is less than the width and/or height of the containing element. The line is drawn as a single, continuous line, starting with the horizontal filler, then the arc, then finishing with the vertical filler. Do not instantiate this class directly. Instead, use goog.ui.ImagelessRoundedCorner.create().

extends goog.ui.AbstractImagelessRoundedCorner

Instance Method Summary
| `draw()` Renders the rounded corner.
| `drawSafari2WithBackground_(?Object context, boolean counterClockwise)` Safari2-specific implementation for rendering a rounded corner with a background color. The background is filled, followed by the rounded corner path.
| `getElement() ⇒ !Element` Returns the underlying DOM element containing the rounded corner.
| `getEndAngle() ⇒ number` Returns the end angle of the arc for the rounded corner.
| `getStartAngle() ⇒ number` Returns the start angle of the arc for the rounded corner.